Managed Service for MongoDB API, REST: Cluster.ListHosts
Retrieves a list of hosts for the specified cluster.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/clusters/{clusterId}/hosts
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the MongoDB cluster. The maximum string length in characters is 50. |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"hosts": [
{
"name": "string",
"clusterId": "string",
"zoneId": "string",
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"role": "string",
"health": "string",
"services": [
{
"type": "string",
"health": "string"
}
],
"subnetId": "string",
"assignPublicIp": "boolean",
"shardName": "string",
"type": "string",
"hostParameters": {
"hidden": "boolean",
"secondaryDelaySecs": "string",
"priority": "string",
"tags": "object"
}
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
hosts[] |
List of Host resources. |
|
nextPageToken |
string This token allows you to get the next page of results for list requests. If the number of results |
Host
|
Field |
Description |
|
name |
string Name of the MongoDB host. The host name is assigned by MDB at creation time, and cannot be changed. |
|
clusterId |
string ID of the MongoDB host. The ID is assigned by MDB at creation time. |
|
zoneId |
string ID of the availability zone where the MongoDB host resides. |
|
resources |
Resources allocated to the MongoDB host. |
|
role |
enum (Role) Role of the host in the cluster. If the field has default value, it is not returned in the response.
|
|
health |
enum (Health) Aggregated health of the host. If the field has default value, it is not returned in the response.
|
|
services[] |
Services provided by the host. |
|
subnetId |
string ID of the subnet that the host belongs to. |
|
assignPublicIp |
boolean Flag showing public IP assignment status to this host. |
|
shardName |
string Shard which this host belongs to. |
|
type |
enum (Type) Host type. If the field has default value, it is not returned in the response.
|
|
hostParameters |
Host parameters |
Resources
|
Field |
Description |
|
resourcePresetId |
string ID of the preset for computational resources available to a host (CPU, memory etc.). |
|
diskSize |
string (int64) Volume of the storage available to a host, in bytes. |
|
diskTypeId |
string Type of the storage environment for the host.
|
Service
|
Field |
Description |
|
type |
enum (Type) Type of the service provided by the host. If the field has default value, it is not returned in the response.
|
|
health |
enum (Health) Aggregated health of the service. If the field has default value, it is not returned in the response.
|
HostParameters
|
Field |
Description |
|
hidden |
boolean Whether the host is hidden in the replica set. |
|
secondaryDelaySecs |
string (int64) Replica delay (in seconds) relative to the primary host. |
|
priority |
string Replica priority used by the replica set when electing a new primary. |
|
tags |
object (map<string, string>) Replica tags used to control read preference and write concern. |